## org.apache.felix.obrplugin
Class RemoteFileManager

    java.lang.Object
      org.apache.felix.obrplugin.RemoteFileManager

    public class RemoteFileManager

extends java.lang.Object

this class is used to manage all connections by wagon.

Author:
  Felix Project Team

Constructor Summary
`RemoteFileManager(org.apache.maven.artifact.manager.WagonManager wm, org.apache.maven.settings.Settings settings, org.apache.maven.plugin.logging.Log log)` initialize main information.

Method Summary
`void` `connect(java.lang.String id, java.lang.String url)` connect the current object to repository given in constructor.
`void` `disconnect()` disconnect the current object.
`java.io.File` `get(java.lang.String url, java.lang.String suffix)` get a file from the current repository connected.
`static org.apache.maven.wagon.proxy.ProxyInfo` `getProxyInfo(org.apache.maven.settings.Settings settings)` Convenience method to map a Proxy object from the user system settings to a ProxyInfo object.
`boolean` `isLockedFile(java.lang.String fileName)` this method indicates if the targeted file is locked or not.
`void` `lockFile(java.lang.String fileName, boolean ignoreLock)`
`void` `put(java.io.File file, java.lang.String url)` put a file on the current repository connected.
`java.lang.String` `toString()`
`void` `unlockFile(java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteFileManager

    public RemoteFileManager(org.apache.maven.artifact.manager.WagonManager wm,
                             org.apache.maven.settings.Settings settings,
                             org.apache.maven.plugin.logging.Log log)

  initialize main information.

  Parameters:
    `wm` - WagonManager provides by maven
    `settings` - settings of the current project provides by maven
    `log` - logger

Method Detail

### disconnect

    public void disconnect()

  disconnect the current object.

### connect

    public void connect(java.lang.String id,
                        java.lang.String url)
                 throws org.apache.maven.plugin.MojoExecutionException

  connect the current object to repository given in constructor.

  Parameters:
    `id` - repository id
    `url` - repository url
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### get

    public java.io.File get(java.lang.String url,
                            java.lang.String suffix)
                     throws org.apache.maven.plugin.MojoExecutionException

  get a file from the current repository connected.

  Parameters:
    `url` - url to the targeted file
    `suffix` - suggested file suffix
  Returns:
    get a file descriptor on the required resource
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### put

    public void put(java.io.File file,
                    java.lang.String url)
             throws org.apache.maven.plugin.MojoExecutionException

  put a file on the current repository connected.

  Parameters:
    `file` - file to upload
    `url` - url to copy file
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### getProxyInfo

    public static org.apache.maven.wagon.proxy.ProxyInfo getProxyInfo(org.apache.maven.settings.Settings settings)

  Convenience method to map a Proxy object from the user system settings to a ProxyInfo object.

  Parameters:
    `settings` - project settings given by maven
  Returns:
    a proxyInfo object instancied or null if no active proxy is define in the settings.xml

### lockFile

    public void lockFile(java.lang.String fileName,
                         boolean ignoreLock)
                  throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### unlockFile

    public void unlockFile(java.lang.String fileName)
                    throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### isLockedFile

    public boolean isLockedFile(java.lang.String fileName)
                         throws org.apache.maven.plugin.MojoExecutionException

  this method indicates if the targeted file is locked or not.

  Parameters:
    `fileName` - name targeted
  Returns:
    true if the required file is locked, else false
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.